<?php

namespace SheKnows\Infuse\Subsystems\Admiral;

/**
 * Handles printing of Admiral script.
 *
 * Class Admiral.
 */
class Admiral {
	/**
	 * @var AdmiralDataCache
	 */
	private $dataCache;

	/**
	 * Constructor
	 *
	 * @param AdmiralDataCache $dataCache
	 * @return void
	 */
	public function __construct( AdmiralDataCache $dataCache ) {
		$this->dataCache = $dataCache;
	}

	/**
	 * Fetch script from cache and print.
	 */
	public function printScript() {
		$result = $this->dataCache->get();

		if ( ! empty( $result ) ) {
			printf(
				'<script>%s</script>',
				// The following is unescaped because there is no suitable WordPress
				// escape function for inline JavaScript.

				// phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
				$result
			);
		}
	}
}
