<?php

namespace SheKnows\Infuse\Subsystems\ContactSheMediaSupport;

use SheKnows\Infuse\Core\SubsystemLoader;

/**
 * Class Loader
 *
 * @package SheKnows\Infuse\Subsystems\ContactSheMediaSupport
 */
class Loader extends SubsystemLoader {
	/**
	 * Initializes relevant WordPress API hooks.
	 */
	public function load() {
		$this->registerSubsystemHooks();
	}

	/**
	 * Adds hook to the WordPress API.
	 */
	protected function registerSubsystemHooks() {
		if ( is_admin() ) {
			add_action( 'admin_menu', array( $this, 'addSupportLinkToMenu' ) );
		}
	}

	/**
	 * Adds Contact SHE Media Support button to the top level menu.
	 */
	public function addSupportLinkToMenu() {
		add_menu_page( 'Contact SHE Media Support', 'Contact SHE Media Support', 'read', 'https://my.shemedia.com/support-ticket', '', 'dashicons-testimonial' );
	}
}
